Package ietf.params.xml.ns.icalendar_2

# Class TextPropertyType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.TextPropertyType

Direct Known Subclasses:
  `AcceptResponsePropType`, `ActionPropType`, `BusytypePropType`, `ClassPropType`, `CommentPropType`, `ContactPropType`, `DescriptionPropType`, `LocationPropType`, `MethodPropType`, `PollModePropType`, `PollPropertiesPropType`, `ProdidPropType`, `StatusPropType`, `SummaryPropType`, `TranspPropType`, `TzidPropType`, `TznamePropType`, `UidPropType`, `VersionPropType`, `WsCalendarTypeType`, `XBedeworkCostPropType`, `XBedeworkExsynchEndtzidPropType`, `XBedeworkExsynchLastmodPropType`, `XBedeworkExsynchStarttzidPropType`, `XBedeworkInstanceOnlyPropType`, `XBedeworkWaitListLimitPropType`, `XBedeworkWrapperPropType`, `XBwContactPropType`, `XBwLocationPropType`, `XMicrosoftCdoBusystatusPropType`, `XMicrosoftCdoIntendedstatusPropType`

public class TextPropertyType extends BasePropertyType

Java class for TextPropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TextPropertyType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}text"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `text`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextPropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getText()`
  Gets the value of the text property.
  `void`
  `setText(String value)`
  Sets the value of the text property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### text

    protected String text

- ## Constructor Details

  - ### TextPropertyType

    public TextPropertyType()

- ## Method Details

  - ### getText

    public String getText()
    Gets the value of the text property.
    Returns:
      possible object is `String`

  - ### setText

    public void setText(String value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `String`